CREATE DATABASE  IF NOT EXISTS `p4change2` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `p4change2`;
-- MySQL dump 10.13  Distrib 5.5.16, for Win32 (x86)
--
-- Host: localhost    Database: p4change2
-- ------------------------------------------------------
-- Server version	5.5.21

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `files`
--

DROP TABLE IF EXISTS `files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `files` (
  `fileID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fullPath` varchar(256) NOT NULL,
  `dir` varchar(256) DEFAULT NULL,
  `file` varchar(256) DEFAULT NULL,
  `ext` char(16) CHARACTER SET latin1 DEFAULT NULL,
  PRIMARY KEY (`fileID`) USING HASH,
  KEY `Index_FullPath` (`fullPath`(255)) USING HASH
) ENGINE=InnoDB AUTO_INCREMENT=11131654 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `userName` char(32) NOT NULL,
  `discipline` char(32) DEFAULT NULL,
  PRIMARY KEY (`userName`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Table structure for table `changelists`
--

DROP TABLE IF EXISTS `changelists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `changelists` (
  `changelist` int(10) unsigned NOT NULL,
  `headTime` datetime NOT NULL,
  `userName` char(32) CHARACTER SET latin1 NOT NULL,
  `description` text,
  PRIMARY KEY (`changelist`) USING BTREE,
  KEY `idx_headTime` (`headTime`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Table structure for table `filerevs`
--

DROP TABLE IF EXISTS `filerevs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filerevs` (
  `fileID` int(10) unsigned DEFAULT NULL,
  `headChange` int(10) unsigned DEFAULT NULL,
  `headAction` char(16) CHARACTER SET latin1 DEFAULT NULL,
  `headType` char(16) CHARACTER SET latin1 DEFAULT NULL,
  `headRev` int(10) unsigned DEFAULT NULL,
  `headModTime` datetime DEFAULT NULL,
  `fileSize` bigint(20) unsigned DEFAULT NULL,
  `sizeChange` bigint(20) unsigned DEFAULT NULL,
  KEY `idx_filerevs` (`fileID`,`headRev`) USING BTREE,
  KEY `FK_headChange` (`headChange`),
  CONSTRAINT `FK_fileID` FOREIGN KEY (`fileID`) REFERENCES `files` (`fileID`),
  CONSTRAINT `FK_headChange` FOREIGN KEY (`headChange`) REFERENCES `changelists` (`changelist`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;


